import type { DatasourcePlugin } from './types';
export declare function registerDatasource(plugin: DatasourcePlugin<any>): void;
export declare function getDatasource(type: string): DatasourcePlugin | undefined;
export declare function getAllDatasourceMetas(): (import("./types").DatasourcePluginMeta | undefined)[];
export declare function getAllDatasources(): DatasourcePlugin<any>[];
export declare function clearRegistry(): void;
